This folder contains set of examples using Flutter Control library.\
Examples are ordered by prefix (A-G) from simple to more complex solutions.\
Some of them have more variants to present 'standard' vs 'library' implementation.

- [counter](https://github.com/RomanBase/flutter_control/tree/master/example/a_counter): simple counter app with progress bar and clamped values displaying current state and direction.
- [todo_list](https://github.com/RomanBase/flutter_control/tree/master/example/b_todo_list): standard TODO list with editable fields.
- [localization](https://github.com/RomanBase/flutter_control/tree/master/example/c_localization): library version of Localization, with automatic Locale changes.
- [localization_delegate](https://github.com/RomanBase/flutter_control/tree/master/example/c_localization_delegate): standard [MaterialLocalization] solution with [LocalizationDelegate]. 
- [navigation](https://github.com/RomanBase/flutter_control/tree/master/example/d_navigation): using classic Widget for menu and on each page showing navigation variants and passing params to other pages.
- [navigation_stack](https://github.com/RomanBase/flutter_control/tree/master/example/d_navigation_stack): using [NavigatorStack] with [BottomNavigationBar].
- [login](https://github.com/RomanBase/flutter_control/tree/master/example/e_login): simple Firebase login with loading and error handling. Add custom [google-services.json] and [.plist] to platform specific folders.
- [weather](https://github.com/RomanBase/flutter_control/tree/master/example/f_weather): fetch weather based city name or gps location. Using [openweathermap.org](https://openweathermap.org) API and Google Places.
- [infinite_list](https://github.com/RomanBase/flutter_control/tree/master/example/g_infinite_list): infinite list using mock delay to simulate network calls.

---

Example folder contains two more bonus projects:

- [spends](https://github.com/RomanBase/flutter_control/tree/master/example/spends): Fully functioned template of personal budget app.
- [test_example](https://github.com/RomanBase/flutter_control/tree/master/example/test_example): Just playground and experimenting / bug hunting app.
